summaryrefslogtreecommitdiffstats
path: root/source/ap/dvd+rw-tools
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/dvd+rw-tools')
-rwxr-xr-xsource/ap/dvd+rw-tools/dvd+rw-tools.SlackBuild78
-rw-r--r--source/ap/dvd+rw-tools/dvd+rw-tools.limits.h.diff10
-rw-r--r--source/ap/dvd+rw-tools/dvd+rw-tools.url1
-rw-r--r--source/ap/dvd+rw-tools/slack-desc19
4 files changed, 108 insertions, 0 deletions
diff --git a/source/ap/dvd+rw-tools/dvd+rw-tools.SlackBuild b/source/ap/dvd+rw-tools/dvd+rw-tools.SlackBuild
new file mode 100755
index 000000000..ac149131d
--- /dev/null
+++ b/source/ap/dvd+rw-tools/dvd+rw-tools.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+# Why do people do things like this?
+VERSION=7.1
+PKGVER=7.1
+DIRVER=7.1
+
+ARCH=${ARCH:-x86_64}
+NUMJOBS=${NUMJOBS:-" -j7 "}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-dvd+rw-tools
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf dvd+rw-tools-$VERSION
+tar xvf $CWD/dvd+rw-tools-$VERSION.tar.gz || exit 1
+cd dvd+rw-tools-$DIRVER
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+zcat $CWD/dvd+rw-tools.limits.h.diff.gz | patch -p1 --verbose || exit 1
+
+make $NUMJOBS || make || exit 1
+
+mkdir -p $PKG/usr/bin
+cat dvd+rw-booktype > $PKG/usr/bin/dvd+rw-booktype
+cat dvd+rw-format > $PKG/usr/bin/dvd+rw-format
+cat dvd+rw-mediainfo > $PKG/usr/bin/dvd+rw-mediainfo
+cat dvd-ram-control > $PKG/usr/bin/dvd-ram-control
+cat growisofs > $PKG/usr/bin/growisofs
+strip $PKG/usr/bin/*
+chmod 755 $PKG/usr/bin/*
+
+mkdir -p $PKG/usr/man/man1
+cat growisofs.1 | gzip -9c > $PKG/usr/man/man1/growisofs.1.gz
+
+mkdir -p $PKG/usr/doc/dvd+rw-tools-$VERSION
+cp -a \
+ index.html \
+ LICENSE \
+ $PKG/usr/doc/dvd+rw-tools-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/dvd+rw-tools-$PKGVER-$ARCH-$BUILD.txz
+
diff --git a/source/ap/dvd+rw-tools/dvd+rw-tools.limits.h.diff b/source/ap/dvd+rw-tools/dvd+rw-tools.limits.h.diff
new file mode 100644
index 000000000..e8b8d986c
--- /dev/null
+++ b/source/ap/dvd+rw-tools/dvd+rw-tools.limits.h.diff
@@ -0,0 +1,10 @@
+--- ./transport.hxx.orig 2008-03-01 04:34:43.000000000 -0600
++++ ./transport.hxx 2008-04-06 23:05:58.000000000 -0500
+@@ -9,6 +9,7 @@
+ #if defined(__unix) || defined(__unix__)
+ #include <stdio.h>
+ #include <stdlib.h>
++#include <limits.h>
+ #include <unistd.h>
+ #include <string.h>
+ #include <sys/types.h>
diff --git a/source/ap/dvd+rw-tools/dvd+rw-tools.url b/source/ap/dvd+rw-tools/dvd+rw-tools.url
new file mode 100644
index 000000000..0a8eb6bf3
--- /dev/null
+++ b/source/ap/dvd+rw-tools/dvd+rw-tools.url
@@ -0,0 +1 @@
+http://fy.chalmers.se/~appro/linux/DVD+RW/tools/
diff --git a/source/ap/dvd+rw-tools/slack-desc b/source/ap/dvd+rw-tools/slack-desc
new file mode 100644
index 000000000..ba1be820b
--- /dev/null
+++ b/source/ap/dvd+rw-tools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+dvd+rw-tools: dvd+rw-tools (DVD+-RW tools)
+dvd+rw-tools:
+dvd+rw-tools: A collection of tools to master DVD+RW/+R/-R/-RW media. For further
+dvd+rw-tools: information see http://fy.chalmers.se/~appro/linux/DVD+RW/.
+dvd+rw-tools:
+dvd+rw-tools: The DVD+RW tools were written by Andy Polyakov.
+dvd+rw-tools:
+dvd+rw-tools:
+dvd+rw-tools:
+dvd+rw-tools:
+dvd+rw-tools: